package com.zm.order.tool.server.query;

import com.alibaba.fastjson.JSON;

import java.util.Date;

/**
 *
 * @packageName: com.zm.order.biz.query
 * @className: ItemRecommendQuery
 * @author zhuxiaofeng
 * @date 2022/8/5 17:48
 */
public class ItemRecommendQuery {
    /**
     * 店铺id
     */
    private Long sellerId;

    /**
     * 门店id
     */
    private Long storeId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * 规格id
     */
    private String skuId;

    /**
     * 查询数量
     */
    private Integer size;

    /**
     * 查询起始
     */
    private Integer start;

    /**
     * 查询页daxiao
     */
    private Integer pageSize;

    private Date orderAtStart;

    private Date orderAtEnd;

    private Integer isDeleted;

    private Long lastId;

    public Long getLastId() {
        return lastId;
    }

    public void setLastId(Long lastId) {
        this.lastId = lastId;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Date getOrderAtStart() {
        return orderAtStart;
    }

    public void setOrderAtStart(Date orderAtStart) {
        this.orderAtStart = orderAtStart;
    }

    public Date getOrderAtEnd() {
        return orderAtEnd;
    }

    public void setOrderAtEnd(Date orderAtEnd) {
        this.orderAtEnd = orderAtEnd;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public String getSkuId() {
        return skuId;
    }

    public void setSkuId(String skuId) {
        this.skuId = skuId;
    }

    public Integer getSize() {
        return size;
    }

    public void setSize(Integer size) {
        this.size = size;
    }

    public Integer getStart() {
        return start;
    }

    public void setStart(Integer start) {
        this.start = start;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
